# -*- coding: utf-8 -*-
import os

class FConfig:

    #================================================================
    # version numero
    #================================================================
    try:
        VERSION=open(os.path.join(os.path.dirname(__file__),"VERSION"),"r").read()
    except:
        VERSION="test"

    #================================================================
    # def du repertoire de cache (pid/halt file et progtv.data)
    #================================================================
    # attention, le suivant doit correspondre a celui egalement utilise
    # dans frecord.sh
    CACHEDIR = os.getenv("XDG_CACHE_HOME",
                           os.path.join(os.getenv("HOME"), ".cache", "fricorder")
                        )

    if not os.path.isdir(CACHEDIR):
        os.makedirs(CACHEDIR)

    #================================================================
    # def du fichier de config de fricorder
    #================================================================
    CONFIGFILE = os.getenv("XDG_CONFIG_HOME",
                           os.path.join(os.getenv("HOME"), ".fricorder")
                           )

    #================================================================
    # def du repertoire contenant les data de fricorder
    #================================================================
    DATADIR= os.path.join( os.path.dirname(__file__),"..","data")
    if not os.path.isdir(DATADIR):
        DATADIR="/usr/share/fricorder"

if __name__ == "__main__":
    pass
